From: "Andrew Ammerlaan" <andrewammerlaan@riseup.net>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/proj/guru:master commit in: dev-python/geopy/
Date: Tue, 19 May 2020 11:24:42 +0000 (UTC) [thread overview]
Message-ID: <1589824216.d9b9bda935f2e058f02c43088b27212c8cc2b2e0.andrewammerlaan@gentoo> (raw)
commit: d9b9bda935f2e058f02c43088b27212c8cc2b2e0
Author: Alessandro Barbieri <lssndrbarbieri <AT> gmail <DOT> com>
AuthorDate: Mon May 18 17:50:16 2020 +0000
Commit: Andrew Ammerlaan <andrewammerlaan <AT> riseup <DOT> net>
CommitDate: Mon May 18 17:50:16 2020 +0000
URL: https://gitweb.gentoo.org/repo/proj/guru.git/commit/?id=d9b9bda9
dev-python/geopy: new version
Package-Manager: Portage-2.3.99, Repoman-2.3.22
Signed-off-by: Alessandro Barbieri <lssndrbarbieri <AT> gmail.com>
dev-python/geopy/Manifest | 1 +
dev-python/geopy/geopy-1.22.0.ebuild | 56 ++++++++++++++++++++++++++++++++++++
2 files changed, 57 insertions(+)
diff --git a/dev-python/geopy/Manifest b/dev-python/geopy/Manifest
index d4f7b1c..b7ba57e 100644
--- a/dev-python/geopy/Manifest
+++ b/dev-python/geopy/Manifest
@@ -1 +1,2 @@
DIST geopy-1.21.0.tar.gz 254831 BLAKE2B 2b8aa46277ea65cde2e037ee71d42ef42451d1ee3bc38b7a6f89e15293074f80cf52b53bad6a483769fe8ce6d267db27bd1878e6248c0c4b18a92a86df4a2ae9 SHA512 8dc148795251e5bf74948859430856569e7aef38ac09432f86498ec3f5939277d2d548f3c35c6f14e6ef1645fdfa48bf70ab998888ba395f199c08aa8dbe6ed2
+DIST geopy-1.22.0.tar.gz 276268 BLAKE2B 96f366d832e6b949fb5bfb64781243f41b94369c846d6669165752b04ac4a7cfc206a668bba469fef078d4d07b550265506e78be4ed028266578928dbdc34db2 SHA512 696729f41b403ce99afecdbb474774d4cf3cea8dda35ac1feab915a566b59b393db5bd803afb97a855603b8a4398725c40289a29f41546c57ecaff670c69e20a
diff --git a/dev-python/geopy/geopy-1.22.0.ebuild b/dev-python/geopy/geopy-1.22.0.ebuild
new file mode 100644
index 0000000..d479418
--- /dev/null
+++ b/dev-python/geopy/geopy-1.22.0.ebuild
@@ -0,0 +1,56 @@
+# Copyright 1999-2020 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI="7"
+
+PYTHON_COMPAT=( python3_{6,7} )
+
+inherit distutils-r1
+
+DESCRIPTION="A Geocoding Toolbox for Python"
+HOMEPAGE="
+ https://geopy.readthedocs.io
+ https://github.com/geopy/geopy
+ https://pypi.org/project/geopy
+"
+SRC_URI="https://github.com/${PN}/${PN}/archive/${PV}.tar.gz -> ${P}.tar.gz"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+
+RDEPEND="
+ <sci-geosciences/geographiclib-2[${PYTHON_USEDEP}]
+ >=sci-geosciences/geographiclib-1.49[${PYTHON_USEDEP}]
+"
+DEPEND="
+ test? (
+ dev-python/mock[${PYTHON_USEDEP}]
+ dev-python/pytz[${PYTHON_USEDEP}]
+ dev-python/six[${PYTHON_USEDEP}]
+ )
+"
+
+distutils_enable_tests pytest
+distutils_enable_sphinx docs \
+ ">=dev-python/sphinx_rtd_theme-0.4.0" \
+ dev-python/readme_renderer
+
+python_prepare_all() {
+ # [Errno -3] Temporary failure in name resolution
+ rm test/geocoders/algolia.py || die
+ rm test/geocoders/arcgis.py || die
+ rm test/geocoders/banfrance.py || die
+ rm test/geocoders/databc.py || die
+ rm test/geocoders/geocodefarm.py || die
+ rm test/geocoders/geonames.py || die
+ rm test/geocoders/nominatim.py || die
+ rm test/geocoders/photon.py || die
+ rm test/test_proxy.py || die
+
+ # depend on the above and now fail to import
+ rm test/geocoders/openmapquest.py || die
+ rm test/geocoders/pickpoint.py || die
+
+ distutils-r1_python_prepare_all
+}
next reply other threads:[~2020-05-19 11:24 UTC|newest]
Thread overview: 12+ messages / expand[flat|nested] mbox.gz Atom feed top
2020-05-19 11:24 Andrew Ammerlaan [this message]
-- strict thread matches above, loose matches on Subject: below --
2021-06-13 8:49 [gentoo-commits] repo/proj/guru:master commit in: dev-python/geopy/ Haelwenn Monnier
2021-06-09 15:03 [gentoo-commits] repo/proj/guru:dev " Andrew Ammerlaan
2021-06-09 15:06 ` [gentoo-commits] repo/proj/guru:master " Andrew Ammerlaan
2021-05-26 13:42 Andrew Ammerlaan
2021-05-25 23:07 Haelwenn Monnier
2021-05-06 9:55 Andrew Ammerlaan
2021-03-23 14:45 Andrew Ammerlaan
2020-12-18 17:46 [gentoo-commits] repo/proj/guru:dev " Andrew Ammerlaan
2020-12-18 19:05 ` [gentoo-commits] repo/proj/guru:master " Andrew Ammerlaan
2020-04-12 16:39 Andrew Ammerlaan
2020-04-07 7:42 Andrew Ammerlaan
2020-04-06 18:01 Andrew Ammerlaan
2020-04-06 18:01 [gentoo-commits] repo/proj/guru:dev " Andrew Ammerlaan
2020-04-06 18:01 ` [gentoo-commits] repo/proj/guru:master " Andrew Ammerlaan
Reply instructions:
You may reply publicly to this message via plain-text email
using any one of the following methods:
* Save the following mbox file, import it into your mail client,
and reply-to-all from there: mbox
Avoid top-posting and favor interleaved quoting:
https://en.wikipedia.org/wiki/Posting_style#Interleaved_style
* Reply using the --to, --cc, and --in-reply-to
switches of git-send-email(1):
git send-email \
--in-reply-to=1589824216.d9b9bda935f2e058f02c43088b27212c8cc2b2e0.andrewammerlaan@gentoo \
--to=andrewammerlaan@riseup.net \
--cc=gentoo-commits@lists.gentoo.org \
--cc=gentoo-dev@lists.gentoo.org \
/path/to/YOUR_REPLY
https://kernel.org/pub/software/scm/git/docs/git-send-email.html
* If your mail client supports setting the In-Reply-To header
via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line
before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox